/************************************************************/
/*         File Name: Fragmis.c                             */
/*         Package:   NIST MIS Fragmentation Utility        */
/*         Author:    Michael D. Garris                     */
/*         Date:      1/17/92                               */
/************************************************************/
#include <stdio.h>
#include <memory.h>
#include <ihead.h>
#include <mis.h>

/************************************************************/
/* Takes a NIST MIS file and breaks it out into individual  */
/* character image files sequentially indexed with the      */
/* given root filename.                                     */
/************************************************************/
main(argc,argv)
int argc;
char *argv[];
{
   char *misfile, *rootname;

   procargs(argc, argv, &misfile, &rootname);
   fragmis(misfile, rootname);
}

procargs(argc, argv, misfile, rootname)
int argc;
char *argv[], **misfile, **rootname;
{
  if (argc != 3)
     fatalerr("Usage", argv[0], "<misfile> <rootname>");
  *misfile = argv[1];
  *rootname = argv[2];
}
